####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/desktop/Makefile,v $
#

####### Files

SOURCES	=	desktop.cpp
OBJECTS	=	desktop.o
TARGET	=	desktop

####### Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS) -o $(TARGET) $(LFLAGS)

depend:
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

showfiles:
	@echo $(SOURCES) Makefile

clean:
	-rm -f *.o *.bak *~ *% #*
	-rm -f $(TARGET)


# DO NOT DELETE THIS LINE -- make depend depends on it.
